.small__menu {
    clear: both;
    margin: 24px 0;
    display: flex;
    flex-direction: row;
    box-shadow: 0 2px 7px rgb(0 0 0 / 20%);
    border-radius: 8px;
    overflow: hidden;
    float: left;
    width: 100%;
    justify-content: space-between;
}

h3 + .small__menu {
    margin-top: 0;
}

.small__menu--logo {
    position: relative;
}

.small__menu .item__rate {
    background: #FFC700;
    border-radius: 0;
    text-decoration: none;
    color: #fff;
    padding: 2px 5px;
    position: absolute;
    top: 0;
    right: 0;
    font-weight: bold;
    font-size: 12px;
    line-height: 11px;
}

.small__menu .star-in-thumb {
    fill: #fff;
    width: 15px;
    height: 14px;
    margin-right: 3px;
    position: relative;
    top: 1px;
}

.small__menu .item__thumb,
.small__menu .item__thumb img,
.small__menu .small__menu--logo img {
    display: block;
    max-width: 200px;
}

.small__menu--title {
    position: relative;
    display: flex;
    align-items: center;
    padding: 15px;
    margin-right: auto;
    font-weight: bold;
    font-size: 20px;
    line-height: 26px;
    color: #000;
}

.small__menu--title .casino-label {
    background: #F00;
    box-shadow: 0 2px 7px rgb(0 0 0 / 11%), 0 3px 12px rgb(0 0 0 / 8%), 0 3px 8px rgb(0 0 0 / 15%);
    font-weight: bold;
    font-size: 12px;
    line-height: 14px;
    letter-spacing: .05em;
    color: #FFF;
    text-transform: uppercase;
    padding: 3px 12px;
    text-align: center;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 0 0 8px;
    white-space: nowrap;
}

.small__menu--btn {
    display: flex;
    flex-direction: row;
    align-items: center;
    list-style: none;
    margin: 0;
    padding: 15px;
}

.small__menu--btn a {
    display: block;
}

.small__menu--btn li {
    padding: 0 7.5px;
}

.small__menu--btn .promocode {
    font-size: 14px;
    white-space: nowrap;
}

.bttn-casino {
    margin-top: 15px;
    width: 100%;
    max-width: 260px;
}

@media (min-width: 1020px) and (max-width: 1200px){
    .small__menu--btn {
        flex-wrap: wrap;
        justify-content: center;
    }

    .small__menu--btn li {
        padding: 0 4.5px;
    }

    .small__menu--btn .promocode {
        width: 100%;
        text-align: center;
        margin-top: 15px;
    }
}

@media (min-width: 861px) and (max-width: 1019px) {
    .small__menu {
        flex-wrap: wrap;
    }

    .small__menu--btn {
        flex-wrap: wrap;
        justify-content: center;
        width: 100%;
    }

    .small__menu--btn li {
        padding: 0 4.5px;
    }

    .small__menu--btn .promocode {
        width: 100%;
        text-align: center;
        margin-top: 15px;
    }
}

@media (min-width: 601px) and (max-width: 800px){
    .small__menu--btn {
        flex-wrap: wrap;
        justify-content: center;
    }

    .small__menu--btn li {
        padding: 0 4.5px;
    }

    .small__menu--btn .promocode {
        width: 100%;
        text-align: center;
        margin-top: 15px;
    }
}


@media (max-width: 600px) {
    .small__menu {
        flex-wrap: wrap;
    }

    .small__menu--btn li {
        padding: 0 4.5px;
    }
    .small__menu--btn{
        width: 100%;
        justify-content: center;
    }

}

@media (max-width: 510px) {
    .small__menu--btn .promocode {
        width: 100%;
        text-align: center;
        margin-top: 15px;
    }.small__menu--btn {
        flex-wrap: wrap;
        justify-content: center;
        width: 100%;
    }
}

.small__menu--promocode {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    padding: 15px;
    margin: 0 0 0 15px;
    border-left:  solid rgba(196, 196, 196, 0.3) 1px;
}

.small__menu--inner{
	background: linear-gradient(90deg,rgba(219,0,255,.15) 0,rgba(255,45,85,.15) 100%);
    border-radius: 4px;
    font-weight: bold;
    border: dashed 1px #FF2D55;
    position: relative;
    font-size: 16px;
    line-height: 21px;
    padding: 15px;
    text-align: center;
}

.small__menu--title span {
    background: -webkit-linear-gradient(45deg,#FC0,#FF2D55 80%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
}

@media (min-width: 767.9px) and (max-width: 1019px) {
	.small__menu .item__thumb, .small__menu .item__thumb img, .small__menu .small__menu--logo img {
	    max-width: 200px;
	}
}

@media (min-width: 575.9px) and (max-width: 767.8px) {
	.small__menu .item__thumb, .small__menu .item__thumb img, .small__menu .small__menu--logo img {
	    max-width: 160px;
	}
	.small__menu--promocode{
		width: 100%;
		border: 0;
		margin: 0;
	}
	.small__menu--inner{
		width: 100%;
        padding: 15px 0;
        margin: 0;
	}
}



@media (max-width: 575.8px) {
	.small__menu .item__thumb, .small__menu .item__thumb img, .small__menu .small__menu--logo img {
        display: block;
        max-width: 110px;
    }
    .small__menu--promocode{
		width: 100%;
		border: 0;
		margin: 0;
	}
	.small__menu--inner{
		width: 100%;
        padding: 5px 0;
        margin: 0;
	}
	.small__menu--title{
		width: calc(100% - 110px);
		font-size: 16px;
		padding-top: 20px;
		padding-bottom: 0
	}
}

.container.flex.no-margintop{
	margin-top: 0;
}

/* NEW DESIGN */
.casino__inline {
    display: grid; 
    grid-template-columns: 130px 1fr; 
    grid-template-rows: auto auto; 
    gap: 0px; 
    grid-template-areas: 
        "logo promo"
        "content content"; 
    border-radius: 8px;
    box-shadow: 0px 2px 7px 0px rgba(0, 0, 0, 0.2);
    background: #fff;
    position: relative;
    overflow: hidden;
}

.casino__inline-logo {
    grid-area: logo;
    width: 130px;
    height: 86px;
    position: relative;
}

.casino__inline-logo img {
    width: 100%;
    height: 100%;
}

.casino__inline-logo .item__rate {
    position: absolute;
    right: 0;
    top: 0;
    background: #FFC700;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 3px 5px;
    color: #fff;
    font-weight: 700;
    font-size: 12px;
    line-height: 14px;
}

.casino__inline-logo .item__rate svg {
    width: 14px;
    min-width: 14px;
    height: 14px;
    fill: #fff;
}

.casino-label {
    position: absolute;
    width: fit-content;
    top: 0;
    left: 130px;
    padding: 3px 15px;
    background: #FF0000;
    color: #fff;
    font-weight: 700;
    font-size: 12px;
    line-height: 14px;
    text-transform: uppercase;
    border-radius: 0 0 8px 0;
}

.casino__inline-promo {
    grid-area: promo;
    margin: 32px 12px 0 12px;
    padding: 5px 8px;
    background: linear-gradient(90deg, rgba(219, 0, 255, 0.1) 0%, rgba(255, 45, 85, 0.1) 100%);
    border: 1px dashed #DB00FF;
    border-radius: 4px;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.casino__inline-promo-text {
    color: #000000;
    font-weight: 500;
    font-size: 16px;
    line-height: 20px;
    display: inline-block;
}

.casino__inline-promo-code {
    display: inline-flex;
    padding: 0;
    border: none;
    background: none;
}

.casino__inline-content {
    grid-area: content;
    padding: 12px;
}

.casino__inline-title {
    margin-bottom: 8px;
    color: #000;
    font-weight: 700;
    font-size: 16px;
    line-height: 19px;
}

.casino__inline-buttons {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

.casino__inline-buttons .btn {
    width: 100%;
    text-align: center;
    color: #AEAEB2;
    border-color: #AEAEB2;
}

.casino__inline-buttons .btn:hover {
    color: #fff;
}

@media (min-width: 768px) and (max-width: 1120px), (min-width: 1280px) {
    .casino__inline {
        display: grid; 
        grid-template-columns: 212px auto 220px; 
        grid-template-rows: auto; 
        gap: 0px 16px; 
        grid-template-areas: 
            "logo content promo"; 
    }
    
    .casino__inline-logo {
        width: 212px;
        height: 141px;
    }
    
    .casino-label {
        left: 212px;
    }
    
    .casino__inline-content {
        padding: 35px 15px 0 0;
    }
    
    .casino__inline-title {
        font-size: 24px;
        line-height: 28px;
        margin-bottom: 24px;
    }
    
    .casino__inline-promo {
        margin: 0px;
        border-radius: 8px;
        width: 100%;
    }
    
    .casino__inline-promo-text {
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
        gap: 20px;
        font-size: 18px;
        line-height: 24px;
        width: 100%;
    }
    
    .casino__inline-promo-code {
        margin: 0 auto;
    }
}

@media (min-width: 1121px) and (max-width: 1279px) {
    .casino__inline {
        grid-template-columns: 180px 1fr; 
        grid-template-rows: auto auto; 
        grid-template-areas: 
            "logo promo"
            "content content"; 
    }
    
    .casino__inline-logo {
        width: 180px;
        height: 120px;
    }
    
    .casino-label {
        left: 180px;
    }
    
    .casino__inline-promo {
        margin: 35px 15px 15px 15px;
        border-radius: 8px;
    }
    
    .casino__inline-promo-text {
        font-size: 18px;
        line-height: 24px;
    }
    
    .casino__inline-promo-code {
        margin-left: 10px;
    }
    
    .casino__inline-content {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 15px;
        padding: 8px 15px;
    }
    
    .casino__inline-title {
        margin: 0;
        min-width: 165px;
        font-size: 24px;
        line-height: 28px;
    }
    
    .casino__inline-buttons {
        width: 100%;
    }
    
    .casino__inline-buttons .btn {
        width: fit-content;
    }
    
}